#ifndef PRIORITYSCHEDULINGMANAGER_H
#define PRIORITYSCHEDULINGMANAGER_H

#include <unordered_map>
#include <vector>
#include "daemon1dbusinterface.h"

class PrioritySchedulingManager
{
public:
    void insertTopTask(int pid, int topType, int topPrio, int topSlice, int topTypeByTgid);
    void eraseTopTask(int pid);
    void enable();
    void disable();
    void clearTopList();

private:
    Daemon1DbusInterface m_daemonDbus;
};

#endif // PRIORITYSCHEDULINGMANAGER_H